<?php
$json = file_get_contents('php://input');   
$obj = json_decode($json);
$id = $obj->flag;
// Returns a Json
header('Content-Type: application/json');

switch($id){
    
    case '0': // pago Stripe
        /*
                telefono_prospecto
            */
            $conn = new mysqli("directoriofitness.com.mx", "direct18", "L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            $id_insert;
            $query_socio = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion) 
            VALUES('$obj->id_servicio','$obj->id_cliente','$obj->id_cliente',CURDATE(),CURDATE())";
            
           //$conn->query($query_socio);
            
            if($conn->query($query_socio) == TRUE){
                $q_select = "SELECT MAX(idSocio_Servicio) AS idInsert FROM socio_servicio WHERE idSocioTitular = '$obj->id_cliente'";

                $result = $conn->query($q_select);

                $row = $result->fetch_assoc();

                $id_insert = $row['idInsert'];
                
                $fecha_vencimiento = "DATE_ADD( '$obj->fechaR', INTERVAL 1 DAY)";
                
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                VALUES ($id_insert,'00',NOW(),$obj->importe,2,2,0.00,$obj->importe,CURDATE(),'Stripe',0.00,'Stripe',0.00,$obj->sucursal,0,$fecha_vencimiento,0)";
                
                
                //$conn->query($query_pagos);
                
                if($conn->query($query_pagos) == TRUE){
                    $query = "INSERT INTO prospectos (nombre_prospecto,apll_prospecto,fecha_nacimiento,genero,correo_prospecto,telefono_prospecto,
                    domicilio_prospecto,colonia_prospecto,cp_prospecto,notas_prospecto,fecha_registro,estatus_prospecto,qr) 
                    VALUES ('$obj->nombre','$obj->apellido','$obj->fechaN',$obj->genero,'$obj->email','$obj->tel',
                    '$obj->domi','$obj->col','$obj->cp','visita',NOW(),6,'$obj->qr')";
                    
                    if($conn->query($query) == TRUE){
                        echo 'success';
                    }else{
                        echo 'error';
                    }
                }else{
                    echo 'error';
                }
            
            }else{
                echo 'error';
            }
            
            $conn->close();
        break;
        
        case '1';
            $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            $conn -> set_charset("utf8");
            // Returns a Json
            header('Content-Type: application/json');
          
            $id_insert;
            $query_socio = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion) 
                        VALUES('$obj->idPlan','0','0',CURDATE(),CURDATE())";
                        
            if($conn->query($query_socio) === TRUE){
                $q_select = "SELECT MAX(idSocio_Servicio) AS idInsert FROM socio_servicio WHERE idSocioTitular = '0'";
                $result = $conn->query($q_select);
            
                $row = $result->fetch_assoc();
            
                $id_insert = $row['idInsert'];
                            
                $fecha_vencimiento = "DATE_ADD( '$obj->fechaR', INTERVAL 1 DAY)";
                            
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                            FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                            VALUES ($id_insert,'00',NOW(),$obj->precioPlan,2,2,0.00,$obj->precioPlan,CURDATE(),'PayU',0.00,'PayU',0.00,$obj->sucursal,0,$fecha_vencimiento,0)";
                            
                if($conn->query($query_pagos) === TRUE){
                                
                    $query = "INSERT INTO prospectos (nombre_prospecto,apll_prospecto,fecha_nacimiento,genero,correo_prospecto,telefono_prospecto,
                                domicilio_prospecto,colonia_prospecto,cp_prospecto,notas_prospecto,fecha_registro,estatus_prospecto,qr) 
                                VALUES ('$obj->nombre','$obj->apellido','$obj->fCumple',$obj->genero,'$obj->email','$obj->telefono',
                                '$obj->domi','$obj->colonia','$obj->cp','visita',NOW(),6,'$obj->qr')";
                                
                    $conn->query($query);
                    if($conn->query($query) === TRUE){
                        $msg = 'Pago Exitoso';
                    }else{
                        $msg ='error => '.$query;
                    }
                }else{
                    $msg = 'error => '.$query_pagos;
                }
                        
            }else{
                $msg = 'error => '.$query_socio;
            }
            
            echo $msg;        
            $conn->close();
        break;
}
?>